Bug 927427 - Review Request: python-rtstool - Command-line interface for rtslib
Summary: Review Request: python-rtstool - Command-line interface for rtslib
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-25 21:25 UTC by Eric Harney
Modified: 2013-04-05 22:54 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-03-26 19:21:32 UTC
markmc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eric Harney 2013-03-25 21:25:01 UTC
Spec URL: http://fedorapeople.org/~eharney/python-rtstool/python-rtstool.spec
SRPM URL: http://fedorapeople.org/~eharney/python-rtstool/python-rtstool-0.1a3-1.fc18.src.rpm

Description: A command-line interface for rtslib, used to manage iSCSI targets

Fedora Account System Username: eharney

Comment 1 Mark McLoughlin 2013-03-26 10:00:55 UTC
Looks good to me, except because this is a pre-release, you should include the 'a3' in the release field rather than the version field - i.e. we might have this series of versions:

  python-rtstool-0.1-0.1.a3
  python-rtstool-0.1-0.2.a3
  python-rtstool-0.1-0.3.b1
  python-rtstool-0.1-1
  python-rtstool-0.2-0.1.a1

See http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning



Detailed review:

Package Review
==============

Key:
[x] = Automatic Pass
[y] = Manual Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[y]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[y]: Package contains no bundled libraries without FPC exception.
[y]: Changelog in prescribed format.
[y]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[y]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[y]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "AGPL". 1 files have unknown license. Detailed output of licensecheck in
     /home/markmc/trash/927427-python-rtstool/licensecheck.txt
[y]: Package consistently uses macro is (instead of hard-coded directory
     names).
[y]: Package is named according to the Package Naming Guidelines.
[y]: Package does not generate any conflict.
[y]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[y]: Package must own all directories that it creates.
[y]: Package does not own files or directories owned by other packages.
[y]: Requires correct, justified where necessary.
[y]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[y]: Python eggs must not download any dependencies during the build process.
[y]: A package which is used by another package via an egg interface should
     provide egg info.
[y]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[y]: Package functions as described.
[y]: Latest version is packaged.
[y]: Package does not include license text files separate from upstream.
[y]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[y]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[y]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python-rtstool-0.1a3-1.fc17.noarch.rpm
python-rtstool.noarch: E: explicit-lib-dependency python-rtslib
python-rtstool.noarch: W: spelling-error Summary(en_US) rtslib -> liberty
python-rtstool.noarch: W: spelling-error %description -l en_US rtslib -> liberty
python-rtstool.noarch: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint python-rtstool
python-rtstool.noarch: E: explicit-lib-dependency python-rtslib
python-rtstool.noarch: W: spelling-error Summary(en_US) rtslib -> liberty
python-rtstool.noarch: W: spelling-error %description -l en_US rtslib -> liberty
python-rtstool.noarch: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'

Requires
--------
python-rtstool (rpmlib, GLIBC filtered):
    /usr/bin/python
    python-rtslib

Provides
--------
python-rtstool:
    python-rtstool

MD5-sum check
-------------
https://pypi.python.org/packages/source/r/rtstool/rtstool-0.1a3.tar.gz :
  CHECKSUM(SHA256) this package     : 0b9e75fbcfdc82c6f487c02292d323995b54879039028e5b950988a9ebe9aad9
  CHECKSUM(SHA256) upstream package : 0b9e75fbcfdc82c6f487c02292d323995b54879039028e5b950988a9ebe9aad9

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 927427

Comment 2 Pádraig Brady 2013-03-26 12:15:17 UTC
s|/usr/bin|%{_bindir}|

Comment 3 Eric Harney 2013-03-26 15:24:24 UTC
Thanks for the review, I updated the versioning and used %{_bindir}.

New spec: http://fedorapeople.org/~eharney/python-rtstool/python-rtstool.spec
New SRPM: http://fedorapeople.org/~eharney/python-rtstool/python-rtstool-0.1-0.1.a3.f18.src.rpm

(Prior files under http://fedorapeople.org/~eharney/python-rtstool/old/)

Comment 4 Mark McLoughlin 2013-03-26 15:38:19 UTC
Looks good, thanks Eric

Comment 5 Eric Harney 2013-03-26 16:16:44 UTC
New Package SCM Request
=======================
Package Name: python-rtstool
Short Description: Command-line interface for rtslib
Owners: eharney
Branches: f18 f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-03-26 16:25:12 UTC
Requested package name python-rtstool doesn't match bug summary rtstool,
please correct.

Comment 7 Eric Harney 2013-03-26 16:29:26 UTC
New Package SCM Request
=======================
Package Name: python-rtstool
Short Description: Command-line interface for rtslib
Owners: eharney
Branches: f18 f19
InitialCC:

Comment 8 Gwyn Ciesla 2013-03-26 16:41:05 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-03-26 19:29:23 UTC
python-rtstool-0.1-0.1.a3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-rtstool-0.1-0.1.a3.fc18

Comment 10 Fedora Update System 2013-04-05 22:54:13 UTC
python-rtstool-0.1-0.1.a3.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.